//
//  ScraperApp.h
//  ICrawler
//
//  Created by saleh on 1/29/12.
//  Copyright 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "ICScraper.h"
#import "ICScheduler.h"
#import "ICPipeline.h"


@interface ScraperApp :ICScraper  {
	
	BOOL flag;
	ICScheduler *scheduler;
	ICPipeline *pipeline;
}
@property (assign) 	BOOL flag;
@property (assign) ICScheduler *scheduler;
@property (assign) ICPipeline *pipeline;

-(void) APsetURL:(NSString*) URL;
- (void) APsetFieldAndXPathQuery:(NSString*)field:(NSString*)query:(NSError**) error;
- (void) fieldAndXquery:(NSString*)field:(NSString*)query:(NSError**) error;
- (NSMutableDictionary*) APcreateItem:(NSError**)error;
- (void) reset;
- (id)   ApStartScraping;
- (void) start;
- (void) stop;
- (void) exportResult:(NSString*)URL :(NSString*)PATH :(NSString*)FILENAME;
@end
