//
//  ICQueue.h
//  ICrawler
//
//  Created by sa on 12/24/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface ICSingleQueue : NSObject {
    NSMutableArray* array;
	NSInteger counter;
}
@property (assign) NSMutableArray * array;
@property (assign) int counter;

- (id)pop:(BOOL)popAndRemove:(NSError**)error;
- (void)push:(id)element;
- (void)pushElements:(NSArray*)elements;
- (NSMutableArray*)getQueue;

- (void) reset;
- (void) clean;
- (BOOL) isEmpty;
- (NSInteger) size;

@end

//---------

@interface ICMultipleQueue : NSObject {
	
	NSMutableArray *keys;
	NSMutableDictionary *keysQueue;
	NSMutableArray *queue;
	
}
@property (assign) NSMutableDictionary *keysQueue;
@property (assign) NSMutableArray *queue,*keys;

- (void) addKey: (NSString *) key;
- (void) delKey: (NSString *) key ;
- (void) push:(NSString *)key: (id) element;
- (void) pushElements:(NSString *)key: (NSArray *)elements ;
- (id)	 popElementByKey:(NSString *)key: (NSString *) element;
- (id)   pop;

- (NSMutableArray*) getQueue: (NSString *)key;
- (NSMutableDictionary *)allQueues;
- (NSArray*)getKeys;
- (NSInteger)size;
- (BOOL)isEmpty;
- (void)clear;

@end



