//
//  ICExporter.m
//  Link Extractor
//
//  Created by sa on 1/18/12.
//  Copyright 2012 __MyCompanyName__. All rights reserved.
//

#import "ICExporter.h"

@implementation ICExporter

-(void) exportItems:(NSMutableArray*)items :(NSString*)path :(NSString*)fileName{
	
	NSLog(@"here it is %@",items);
	
	NSDate *today = [NSDate date];
	NSDateFormatter *dateFormat = [[NSDateFormatter alloc] init];
	[dateFormat setTimeStyle:NSDateFormatterMediumStyle];
	[dateFormat setDateStyle:NSDateFormatterMediumStyle];
	NSString *dateString = [dateFormat stringFromDate:today];
	NSFileManager *filemgr=[NSFileManager defaultManager];
	
	if ([filemgr fileExistsAtPath:path]== NO) {
		
		[filemgr createDirectoryAtPath: path withIntermediateDirectories:YES attributes:nil error:nil];
		
	}
	NSLog(@"here it is %@",items);
	NSMutableString *thePath= [NSMutableString stringWithFormat:@"%@%@%@%@%@%@",path,@"/",dateString,@"-",fileName,@".plist"];
	[items writeToFile:thePath atomically:YES];
	
	[dateFormat release];
	
}	

-(void) exportAllItems:(NSMutableDictionary*)allItems :(NSString*)path{

	@try {
		NSLog(@"all keys: %@:",allItems);
		
		for(NSString *key in [allItems allKeys]){
			NSMutableArray *temp=[allItems objectForKey:key];
			NSLog(@"Queue is -->> %@",temp);
			
			[self exportItems:temp :path :key];
			
		}
		
	}
	@catch (NSException * e) {
		NSLog(@"errrrr%@",e);
	}
	@finally {
		
	}
	
}
@end
