//
//  ICPipeline.h
//  Link Extractor
//
//  Created by sa on 1/16/12.
//  Copyright 2012 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface ICPipeline : NSObject {
	
	NSMutableArray *keys;
	NSMutableDictionary *keysQueue;
	NSMutableArray *queue;
	
}
@property (assign) NSMutableDictionary *keysQueue;
@property (assign) NSMutableArray *queue,*keys;


-(void) addWebsiteURL: (NSString *) URL;
-(void) delWebsiteURL: (NSString *) URL;
-(void) addURL: (NSDictionary *) item;
-(void) addItem: (NSDictionary *) item;
-(NSMutableArray*)itemsForURL:(NSString*) URL;
-(NSMutableDictionary*)allItems;


- (NSInteger)size;
- (BOOL)isEmpty;
- (void)clear;

@end
