//
//  Scheduler.h
//  ICrawler
//
//  Created by sa on 12/25/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "ICQueueBase.h"

@interface ICScheduler :ICSingleQueue {
	
	
}

-(void) addElement: (id)element:(BOOL)allowDuplicate;
-(void) addElements: (NSArray *) elements:(BOOL)allowDuplicate;
-(void) addURLsFromPath: (NSString *)path;
-(NSMutableArray*) returnURLsFromPath: (NSString *)path;
-(NSMutableArray *)allElements;
-(id) nextRequest:(BOOL)returnAndremove:(NSError**)error;

-(void) resetScheduler;
-(BOOL)isEmpty;

@end


@interface ICCrawlerScheduler :ICMultipleQueue  {

	
}

-(void) addWebsiteURL: (NSString *) URL;
-(void) addURL: (NSString *) URL;
-(void) addURLs: (NSArray *) URLs;
-(NSMutableArray*) returnURLsFromPath: (NSString *)path;
-(NSMutableArray *)currentQueue:(NSString *)WebsiteURL;
-(NSString*) currentWebsite;
-(id) nextRequest:(NSError**)error;

@end
